
// common.js
import {initHeaderDevice} from '../utils/header.js'
import api from '@/config/api.js'
export const getAppVersion=function(url,data) {
	const baseUrl=api.common
	// 这里确保一定是可以获取得到的
	const headerDevice = uni.getStorageSync('m-header-device')
	let rd = null;
	if (headerDevice) {
		rd = headerDevice
	} else {
	    const common = initHeaderDevice()
		
	    rd = JSON.stringify(common)
	}
 return new Promise((resolve,reject)=>{
	 const token=uni.getStorageSync('token')
	 const tokenFinance=uni.getStorageSync('tokenFinance')
 		uni.request({
 			url:baseUrl+url,
 			method: "GET",
			data:{
				...data
			},
			header: {
				Accept: "application/json;charset=UTF-8",
				"Content-Type": "application/json;charset=UTF-8",
				device:rd,
				Authorization:tokenFinance,//贷超
				Author:token,//多典花
			},
 			success:(res)=>{
				const {data, statusCode} = res
				if(statusCode==200){
					if (data.success==true) {
						return resolve(data)
					}
				}
 			},
 			fail:(err)=>{
 				reject(err);
 			}
 		})
 	})
}